
<div class="row">
    <!--

    
    -->
    <div class="col-lg-1" >
        <input class="form-control" id="num1" type="number" ng-model="num1" ng-style="inp[0]" ng-click="change(inp[0].id)"/> 
    </div>
    
    <!-- 
    Using the ng-options iterating through the expressions list in MyCtrl1
    -->
    <div class="col-lg-2">
        <select class="form-control control-label" ng-model="selc" ng-options="n.name for n in expressions">
         <option style="display:none" value="">select an operation</option>   
            
        </select>
    </div>

    <div class="col-lg-1">
        <input class="form-control" id="num2" type="number" ng-model="num2" ng-style="inp[1]" ng-click="change(inp[1].id)"/>
    </div>
    
    <div class="col-lg-1">
        <button  class="btn btn-primary" id="btn1" ng-click="select(selc.id)" >= </button>
    </div>
    
    <div class="col-lg-1">
        <output id="num3">{{num3}}</output>
    </div>

</div>